:host {
  display: block;
  border-radius: 24px !important;
}

ion-header {
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.02);
  position: relative;
  ion-title {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: inherit;
    width: 100%;
    position: absolute;
    left: -10px;
    height: 0;
  }
}

ion-content {
  ion-segment {
    position: absolute;
    bottom: 0px;
    background: var(--ion-background-color);
    ion-segment-button {
      font-weight: 700;
      height: 64px;
      color: var(--ion-color-gray5);
    }
  }
}

.g-code {
  .g-code__item {
    margin-top: 2em;
    padding: 0 1.5em;
    ion-button {
      background-color: transparent !important;
      box-shadow: none;
      top: 4px;
      &:hover {
        background-color: transparent !important;
      }
      ion-icon {
        color: #343A40;
        font-size: 20px;
      }
    }
  }
  ion-buttons {
    ion-button  {
      background-color: #23547F;
      color: #FFFFFF;
      height: 56px;
      width: 100%;
      border-radius: 20rem;
      margin: 1.5em 1em 0;
      text-transform: initial;
      letter-spacing: 0;
      font-size: 16px;
    }
  }
}

ion-modal .ion-page {
  border-radius: inherit;
}

.modal-wrapper {
  border-radius: 24px;
}
